Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.view.picture
Class Guide

    java.lang.Object
      infomat.view.picture.Guide

    public class Guide

extends java.lang.Object

Draws guiding lines for the mouse pointer.

Field Summary
`private boolean` | `draw`
`private boolean` | `drawable`
`private java.awt.Graphics` | `g`
`private int` | `oldX`
`private int` | `oldY`
`private int` | `rememberX`
`private int` | `rememberY`
`private SparsePicture` | `sparsePicture`

Constructor Summary
`Guide(SparsePicture sparsePicture)`

Method Summary
`protected void` | `draw(int x, int y)`
`protected void` | `enter()`
`protected void` | `exit()`
`protected void` | `noCols(int x, int y)`
`protected void` | `noRect(int x, int y)`
`protected void` | `noRows(int x, int y)`
`protected void` | `reset()`
`protected void` | `setCols(int rememberX, int rememberY)`
`private void` | `setDraw(boolean draw)`
`protected void` | `setRect(int rememberX, int rememberY)`
`protected void` | `setRows(int rememberX, int rememberY)`
`void` | `toggleDraw()`
`protected void` | `unDraw()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sparsePicture

    private SparsePicture sparsePicture

### g

    private java.awt.Graphics g

### oldX

    private int oldX

### oldY

    private int oldY

### rememberX

    private int rememberX

### rememberY

    private int rememberY

### draw

    private boolean draw

### drawable

    private boolean drawable

Constructor Detail

### Guide

    public Guide(SparsePicture sparsePicture)

Method Detail

### toggleDraw

    public void toggleDraw()

### setDraw

    private void setDraw(boolean draw)

### setRect

    protected void setRect(int rememberX,
                           int rememberY)

### noRect

    protected void noRect(int x,
                          int y)

### setRows

    protected void setRows(int rememberX,
                           int rememberY)

### noRows

    protected void noRows(int x,
                          int y)

### setCols

    protected void setCols(int rememberX,
                           int rememberY)

### noCols

    protected void noCols(int x,
                          int y)

### draw

    protected void draw(int x,
                        int y)

### unDraw

    protected void unDraw()

### exit

    protected void exit()

### enter

    protected void enter()

### reset

    protected void reset()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD